## GstFlowCombiner GstFlowCombiner |

## Functions

GstFlowCombiner * | gst_flow_combiner_new ()
void | gst_flow_combiner_free ()
GstFlowReturn | gst_flow_combiner_update_flow ()
void | gst_flow_combiner_add_pad ()
void | gst_flow_combiner_remove_pad ()
void | gst_flow_combiner_clear ()
void | gst_flow_combiner_reset ()
GstFlowReturn | gst_flow_combiner_update_pad_flow ()

## Types and Values

| GstFlowCombiner

## Includes

    #include <gst/base/gstflowcombiner.h>

## Description

## Functions

### gst_flow_combiner_new ()

    GstFlowCombiner *
    gst_flow_combiner_new (void);

### gst_flow_combiner_free ()

    void
    gst_flow_combiner_free (GstFlowCombiner *combiner);

### gst_flow_combiner_update_flow ()

    GstFlowReturn
    gst_flow_combiner_update_flow (GstFlowCombiner *combiner,
                                   GstFlowReturn fret);

### gst_flow_combiner_add_pad ()

    void
    gst_flow_combiner_add_pad (GstFlowCombiner *combiner,
                               GstPad *pad);

### gst_flow_combiner_remove_pad ()

    void
    gst_flow_combiner_remove_pad (GstFlowCombiner *combiner,
                                  GstPad *pad);

### gst_flow_combiner_clear ()

    void
    gst_flow_combiner_clear (GstFlowCombiner *combiner);

### gst_flow_combiner_reset ()

    void
    gst_flow_combiner_reset (GstFlowCombiner *combiner);

### gst_flow_combiner_update_pad_flow ()

    GstFlowReturn
    gst_flow_combiner_update_pad_flow (GstFlowCombiner *combiner,
                                       GstPad *pad,
                                       GstFlowReturn fret);

## Types and Values

### GstFlowCombiner

    typedef struct _GstFlowCombiner GstFlowCombiner;